Bug 1250565 - core: adding function names and line numbers to refcount
core: adding function names and line numbers to refcount
Status: POST
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Prasanna Kumar Kalever
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 09:12 EDT by Prasanna Kumar Kalever
Modified: 2016-03-28 19:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasanna Kumar Kalever 2015-08-05 09:12:52 EDT
Description of problem:
maintaining function name and line number as part of gf_ref_t structure 
adding a dictionary in gf_ref_t structure which maintains function names, lineno and refcount value of every caller.

Version-Release number of selected component (if applicable):
mainline

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2015-08-05 09:37:38 EDT
REVIEW: http://review.gluster.org/11837 (core: adding function names and line numbers to refcount) posted (#1) for review on master by Prasanna Kumar Kalever
Comment 2 Anand Avati 2015-08-06 05:54:05 EDT
REVIEW: http://review.gluster.org/11837 (core: adding function names and line numbers to refcount) posted (#2) for review on master by Prasanna Kumar Kalever
Comment 3 Anand Avati 2015-08-07 08:15:06 EDT
REVIEW: http://review.gluster.org/11837 (core: adding function names and line numbers to refcount) posted (#3) for review on master by Prasanna Kumar Kalever
Comment 4 Mike McCune 2016-03-28 19:22:56 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.